Author Topic: Add modules with PHP selector  (Read 677 times)

0 Members and 1 Guest are viewing this topic.

Offline
****
Re: Add modules with PHP selector
« Reply #15 on: September 12, 2018, 05:11:29 AM »
Quote
If I already have a redis installed and compiled with PHP switcher, do I need to install  it again with

yes

Quote
only the alternative PHP 5.6 is installed and does not affect the PHP version and modules for the sites and PHP version and modules for CWP?

yes

WARNING: channel "pecl.php.net" has updated its protocols, use "pecl channel-update pecl.php.net" to update
downloading redis-4.1.1.tgz ... ?
Quote
4. When the installation started, he asked me twice:

enable igbinary serializer support? [no]: no
enable lzf compression support? [no]: no

and I answered "No" - is it right?

yes, default is no but you can change as you wish to.

Quote
As far as I understand, if I want for another version I repeat the same with other folders ??

yes




Offline
***
Re: Add modules with PHP selector
« Reply #16 on: September 12, 2018, 05:39:48 AM »
Hi,

thank you for the answer, but this question did not make it clear to me:
to ask:


3. In the beginning when I started the

Code: [Select]
/opt/alt/php56/usr/bin/pecl install redis
I received the following message:

WARNING: channel "pecl.php.net" has updated its protocols, use "pecl channel-update pecl.php.net" to update
downloading redis-4.1.1.tgz ... ???

Thanks in advance!

BR
Venty



Offline
****
Re: Add modules with PHP selector
« Reply #17 on: September 12, 2018, 05:48:52 AM »
Run this command and try again

Code: [Select]
pecl channel-update pecl.php.net

Offline
***
Re: Add modules with PHP selector
« Reply #18 on: September 12, 2018, 06:14:46 AM »
Something like this will do it

Quote
yum install memcached -y
/opt/alt/php56/usr/bin/pecl install memcache
echo "extension=memcache.so" >> /opt/alt/php56/usr/php/php.ini
memcached -d -m 512 -l 127.0.0.1 -p 11211 -u nobody
chkconfig memcached on

Quote
/opt/alt/php56/usr/bin/php -i | grep memcache

Hi,

here for the quoted codes to get it should not be for a memcached also for a folder /opt/alt/php56/usr/bin/???
 
Аnd do I need to install again, provided I installed it once more to compile it with the PHP Version Switcher v2 for the basic version that is 7.2.9??

Аnd if I want to install on a higher alternative version of a PHP with CWP PHP Selector, say 7.1, everything is repeated with the same codes and sequence?

BR
Venty

Offline
****
Re: Add modules with PHP selector
« Reply #19 on: September 12, 2018, 06:34:30 AM »
any alternate php version you want to use you have to compile for it.

Offline
***
Re: Add modules with PHP selector
« Reply #20 on: September 12, 2018, 07:02:18 AM »
Something like this will do it

Quote
yum install memcached -y
/opt/alt/php56/usr/bin/pecl install memcache
echo "extension=memcache.so" >> /opt/alt/php56/usr/php/php.ini
memcached -d -m 512 -l 127.0.0.1 -p 11211 -u nobody
chkconfig memcached on

Quote
/opt/alt/php56/usr/bin/php -i | grep memcache

Hi,

here for the quoted codes to get it should not be for a memcached also for a folder /opt/alt/php56/usr/bin/???
 
Аnd do I need to install again, provided I installed it once more to compile it with the PHP Version Switcher v2 for the basic version that is 7.2.9??

Аnd if I want to install on a higher alternative version of a PHP with CWP PHP Selector, say 7.1, everything is repeated with the same codes and sequence?

BR
Venty


OK, but...

the installation of memcached also for a folder /opt/alt/php56/usr/bin/???  and each row of codes one after the other to run them??

Аnd do I need to install and adjust again memcached, provided I installed it once more to compile it with the PHP Version Switcher v2 for the basic version that is 7.2.9??


Offline
****
Re: Add modules with PHP selector
« Reply #21 on: September 16, 2018, 06:31:00 AM »
You need to install php version of memcache/memcached  for all versions of php.

Offline
***
Re: Add modules with PHP selector
« Reply #22 on: September 16, 2018, 08:40:24 AM »
Hi.

yum install memcached -y
/opt/alt/php56/usr/bin/pecl install memcache
echo "extension=memcache.so" >> /opt/alt/php56/usr/php/php.ini
memcached -d -m 512 -l 127.0.0.1 -p 11211 -u nobody
chkconfig memcached on


i want to install a memcache (memcached???) for just about the alternative version 5.6 of the PHP ... all the commands listed above should I install  and all together or sequentially one after the other??

Thanks in advance!

BR
Venty